# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_panel
		IS_WIN = (Sketchup.platform == :platform_win)
		IS_OSX = (Sketchup.platform == :platform_osx)
		Sketchup::require File.join(NAME,(NAME + "_code"))
		if !self.const_defined?("Dir_s4u_name")
			S4U.instance_variable_set(:@s4u_menu,UI.menu("Plugins").add_submenu("Suforyou")) if !S4U.instance_variable_defined?(:@s4u_menu)
			menu=S4U.instance_variable_get :@s4u_menu
			submenu=menu.add_submenu(TOOL)
			@toolbar = UI::Toolbar.new("s4u-"+TOOL)
			names=[ [Strings["Panel by 3 points(corner)"],NAME+"_corner",Strings["Make Panel by 3 points(corner)"]+'.'],
					[Strings["Panel by 3 points(middle)"],NAME+"_middle",Strings["Make Panel by 3 points(middle)"]+'.'],
					[Strings["Panel by 3 points(center)"],NAME+"_center",Strings["Make Panel by 3 points(center)"]+'.'],
					[Strings["Panel by face"],NAME+"_face",Strings["Make Panel by select face"]+'.']
			]
			if IS_OSX
				names.each{|n| n[1]+=".pdf"}
			else
				names.each{|n| n[1]+=".svg"}
			end
			(0..names.length-1).each{|i|
				cmd=UI::Command.new(names[i][0]){ S4U::S4u_panel.main(i) }
				cmd.large_icon = names[i][1]
				cmd.small_icon = names[i][1]
				cmd.status_bar_text = names[i][2]
				cmd.tooltip= names[i][0]
				cmd.menu_text = names[i][0]
				@toolbar=@toolbar.add_item cmd
				submenu.add_item cmd
			}
			@toolbar.show if @toolbar.get_last_state.abs == 1
            Dir_s4u_name = File.join(File.dirname(@ext.extension_path),NAME)
		end
	end
end